summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--net-ftp/atftp/Manifest1
-rw-r--r--net-ftp/atftp/atftp-0.7-r5.ebuild2
-rw-r--r--net-ftp/atftp/atftp-0.7-r6.ebuild (renamed from net-ftp/atftp/atftp-0.7-r3.ebuild)56
3 files changed, 33 insertions, 26 deletions
diff --git a/net-ftp/atftp/Manifest b/net-ftp/atftp/Manifest
index 920c8ba5ed5..08fdd38b0b5 100644
--- a/net-ftp/atftp/Manifest
+++ b/net-ftp/atftp/Manifest
@@ -1,2 +1,3 @@
+DIST atftp-0.7.dfsg.tar.gz 187992 BLAKE2B 8196c333ea8042879196ca9f9c656b4d60a332ed1d64a5738870e1d4fd5f108716da6769bf52759626ad3efce11946b5d6285ac9fbe46cb63e6e2d051fc7aeb3 SHA512 40d231c0bc0478fedb3eff9b4c540c62dd9bd6c40d9738e2db1813797a5d48e201720d43a48970ce250f1bb5b15460bb9b3d631c06f96c1a74775ecfb6d13f82
DIST atftp-0.7.tar.gz 202234 BLAKE2B 65ff486b6ef2b42b2a4737f121c2c36e8ff73838f3c10592c11020acdf2afdf0883fda8b39613e1cc35b47141fd29543a7ef2c3e2ead857033ad4f7181c91d04 SHA512 81c51b613a640f7db4d26da0fb891bda345d11d3f39e0af37f393d2abf619094c1de83f92f04ac75367f546cc70e37d7d47c1535c241c941036fd4df7863a440
DIST atftp_0.7-11.diff.gz 26055 BLAKE2B c9be58836b5a7e3943dd28dd4661abab5e86b1941c9a2b58786eebe702ab515cf1bc08bf44c8ab4157584a437e861e24eb0c833c1fa1bc774f7f8a2134b6cd27 SHA512 28747f8f3ef2fc3b122361f682fe26ba93acf09b190f61efb3cfcbb6bdeef78cfe1348aeaf1699003a7e02586579be670d85b65baad1b1165a4bec9a9279adb5
diff --git a/net-ftp/atftp/atftp-0.7-r5.ebuild b/net-ftp/atftp/atftp-0.7-r5.ebuild
index 2327d0d852a..c72eba363ad 100644
--- a/net-ftp/atftp/atftp-0.7-r5.ebuild
+++ b/net-ftp/atftp/atftp-0.7-r5.ebuild
@@ -8,7 +8,7 @@ DEBIAN_PV="11"
DEBIAN_A="${PN}_${PV}-${DEBIAN_PV}.diff"
DESCRIPTION="Advanced TFTP implementation client/server"
-HOMEPAGE="https://sourceforge.net/projects/atftp/"
+HOMEPAGE="ftp://ftp.mamalinux.com/pub/atftp/"
SRC_URI="ftp://ftp.mamalinux.com/pub/atftp/${P}.tar.gz
mirror://debian/pool/main/a/${PN}/${DEBIAN_A}.gz"
diff --git a/net-ftp/atftp/atftp-0.7-r3.ebuild b/net-ftp/atftp/atftp-0.7-r6.ebuild
index 1a7d65f79b9..64badd5fa1e 100644
--- a/net-ftp/atftp/atftp-0.7-r3.ebuild
+++ b/net-ftp/atftp/atftp-0.7-r6.ebuild
@@ -1,16 +1,16 @@
# Copyright 1999-2018 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=5
-inherit eutils flag-o-matic systemd
+EAPI=6
+inherit autotools flag-o-matic systemd
DEBIAN_PV="11"
-DEBIAN_A="${PN}_${PV}-${DEBIAN_PV}.diff.gz"
+DEBIAN_A="${PN}_${PV}-${DEBIAN_PV}.diff"
DESCRIPTION="Advanced TFTP implementation client/server"
HOMEPAGE="https://sourceforge.net/projects/atftp/"
-SRC_URI="ftp://ftp.mamalinux.com/pub/atftp/${P}.tar.gz
- mirror://debian/pool/main/a/${PN}/${DEBIAN_A}"
+SRC_URI="mirror://sourceforge/${PN}/${P}.dfsg.tar.gz
+ mirror://debian/pool/main/a/${PN}/${DEBIAN_A}.gz"
LICENSE="GPL-2"
SLOT="0"
@@ -18,7 +18,7 @@ KEYWORDS="amd64 arm ppc ppc64 ~s390 sparc x86"
IUSE="selinux tcpd readline pcre"
DEPEND="tcpd? ( sys-apps/tcp-wrappers )
- readline? ( sys-libs/readline )
+ readline? ( sys-libs/readline:0= )
pcre? ( dev-libs/libpcre )"
RDEPEND="${DEPEND}
!net-ftp/netkit-tftp
@@ -26,23 +26,33 @@ RDEPEND="${DEPEND}
!net-ftp/uftpd
selinux? ( sec-policy/selinux-tftp )"
+PATCHES=(
+ "${WORKDIR}/${DEBIAN_A}"
+ "${FILESDIR}/${P}-pcre.patch"
+ "${FILESDIR}/${P}-password.patch"
+ "${FILESDIR}/${P}-tests.patch"
+ "${FILESDIR}/${P}-glibc24.patch"
+ "${FILESDIR}/${P}-blockno.patch"
+ "${FILESDIR}/${P}-spaced_filename.patch"
+ "${FILESDIR}/${P}-illreply.patch"
+ "${FILESDIR}/${P}-CFLAGS.patch"
+)
+
+src_unpack() {
+ default
+ mv atftp-0.7.dfsg atftp-0.7 || die
+}
+
src_prepare() {
- epatch "${DISTDIR}"/${DEBIAN_A}
- epatch "${FILESDIR}"/${P}-pcre.patch
- epatch "${FILESDIR}"/${P}-password.patch
- epatch "${FILESDIR}"/${P}-tests.patch
- epatch "${FILESDIR}"/${P}-glibc24.patch
- epatch "${FILESDIR}"/${P}-blockno.patch
- epatch "${FILESDIR}"/${P}-spaced_filename.patch
- epatch "${FILESDIR}"/${P}-illreply.patch
- # remove upstream's broken CFLAGS
- sed -i.orig -e \
- '/^CFLAGS="-g -Wall -D_REENTRANT"/s,".*","",g' \
- "${S}"/configure
+ append-cppflags -D_REENTRANT -DRATE_CONTROL
+ # fix #561720 by restoring pre-GCC5 inline semantics
+ append-cflags -std=gnu89
+
+ default
+ eautoreconf
}
src_configure() {
- append-flags -D_REENTRANT -DRATE_CONTROL
econf \
$(use_enable tcpd libwrap) \
$(use_enable readline libreadline) \
@@ -50,12 +60,8 @@ src_configure() {
--enable-mtftp
}
-src_compile() {
- emake CFLAGS="${CFLAGS}"
-}
-
src_install() {
- emake install DESTDIR="${D}"
+ default
newinitd "${FILESDIR}"/atftp.init atftp
newconfd "${FILESDIR}"/atftp.confd atftp
@@ -67,6 +73,6 @@ src_install() {
dodoc "${S}"/docs/*
docinto test
- cd "${S}"/test
+ cd "${S}"/test || die
dodoc load.sh mtftp.conf pcre_pattern.txt test.sh test_suite.txt
}